--- packages/uclibc/uclibc.mk	2007-11-21 10:37:12.000000000 -0700
+++ packages/uclibc/uclibc.mk	2007-11-21 10:36:50.000000000 -0700
@@ -1,8 +1,12 @@
-ifeq ($(CONFIG_PAYLOAD_LAB),y)
-ifndef UCLIBC_VER
-UCLIBC_VER=0.9.28
-$(warning No UCLIBC_VER specified, using default $(UCLIBC_VER))
-endif
+# Defaults, if not set in the platform config
+ifeq ($(CONFIG_TARGET_64BIT),y)
+UCLIBC_VER ?= 0.9.29
+UCLIBC_ARCH ?= x86_64
+UCLIBC_CONFIG ?= defconfig-x86_64
+else
+UCLIBC_VER ?= 0.9.28
+UCLIBC_ARCH ?= i386
+UCLIBC_CONFIG ?= defconfig
 endif
 
 UCLIBC_URL=http://www.uclibc.org/downloads
@@ -20,10 +24,6 @@
 UCLIBC_INSTALL_LOG=$(UCLIBC_LOG_DIR)/install.log
 endif
 
-# Default, if its not set in the platform config
-UCLIBC_ARCH ?= $(TARGET_ARCH)
-UCLIBC_CONFIG ?= defconfig
-
 $(SOURCE_DIR)/$(UCLIBC_SOURCE):
 	@ mkdir -p $(SOURCE_DIR)
 	@ wget -P $(SOURCE_DIR) $(UCLIBC_URL)/$(UCLIBC_SOURCE)
